Note: This is a beta release of Red Hat Bugzilla 5.0. The data contained within is a snapshot of the live data so any changes you make will not be reflected in the production Bugzilla. Also email is disabled so feel free to test any aspect of the site that you want. File any problems you find or give feedback here.
Bug 451386 - cdrom media change broken for qemu 0.9.1
Summary: cdrom media change broken for qemu 0.9.1
Keywords:
Status: CLOSED UPSTREAM
Alias: None
Product: Virtualization Tools
Classification: Community
Component: libvirt
Version: unspecified
Hardware: All
OS: Linux
low
medium
Target Milestone: ---
Assignee: Daniel Veillard
QA Contact:
URL:
Whiteboard:
Depends On:
Blocks:
TreeView+ depends on / blocked
 
Reported: 2008-06-13 22:54 UTC by cdmiller
Modified: 2010-03-16 17:13 UTC (History)
1 user (show)

Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Clone Of:
Environment:
Last Closed: 2008-09-03 17:51:47 UTC


Attachments (Terms of Use)

Description cdmiller 2008-06-13 22:54:41 UTC
Description of problem:
A cdrom media change no longer works in qemu 0.9.1.  From qemu FAQ:

http://calamari.reverse-dns.net:980/cgi-bin/moin.cgi/FrequentlyAskedQuestions#head-42074a0b764d793c64c73c855287fbb875a1f4c9

Version-Release number of selected component (if applicable):
libvirt 0.4.2
kvm 0.69

How reproducible:
always


Steps to Reproduce:
1. install qemu 0.9.1
2. check info block in qem monitor of running vm
3. try a cd change from virsh
  
Actual results:
change doesn't work, libvirt always uses cdrom rather than ide1-cd0


Expected results:


Additional info:

Comment 1 Daniel Veillard 2008-06-14 10:20:24 UTC
Can you try with libvirt-0.4.3 which was just released. I think I have
seens changes which could affect this,
https://admin.fedoraproject.org/updates/search/libvirt
there is an update for F-9 and one for F-8 in testing

Daniel

Comment 2 cdmiller 2008-06-16 00:31:01 UTC
Ok, I installed libvirt 0.4.3, and fired up a kvm vm.  Attempting to change the
cd within virt-manager results in the following log entries for the vm:

eject cdrom
change cdrom path-to-iso-file

and the cd change does not work (still pointing to original iso file).  Using
just qemu (no libvirt) and issuing a change ide1-cd0 from qemu console does
work.  So it appears libvirt 0.4.3 is still not working for cdrom change with
qemu 0.9.1 / kvm 0.69.

Comment 3 Cole Robinson 2008-09-03 17:51:47 UTC
This should be fixed upstream now:

http://git.et.redhat.com/?p=libvirt.git;a=commit;h=b00e6252fe2779ba92050b3f431fe2c95ea73d74

New release will most likely be in time for f10 beta. Closing this as UPSTREAM.


Note You need to log in before you can comment on or make changes to this bug.